POST sendViewReco
POST /activities/{siteId}/viewReco
Display name: viewReco.
Tells the Einstein engine when a user views a set of recommendations.
Parameters
siteId(path, EinsteinSiteIdParam, required)x-cq-client-id(header, ClientIdParam, required)
Request body
Media type: application/json. Schema: object.
recommenderName(string, required) The name of the recommender used in the recommendation request.__recoUUID(string, required) The UUID that was returned in the recommendation response.products(array of ProductForView, required) The product recommendations that the user viewed.userId(UserIdParam) A unique identifier for logged-in users (hashed) that is provided by the application.cookieId(CookieIdParam) The unique identifier of an anonymous shopper. If you're making API requests from a traditional B2C Commerce storefront, pass thedwanonymous_*cookie value (See Browser-Based Local Data Storage for more information).clientIp(ClientIpParam) The IP address of the end user. Use this parameter if you're sending activities on the server side for a client application.clientUserAgent(ClientUserAgentParam) The User Agent of the end user. Use this paramenter if you're sending activities on the server side for a client application.realm(RealmParam) A unique, four-character ID that you can get from your Account Executive (AE) or Customer Success Manager (CSM). The realm is often the first four characters of the Einstein site ID. If your site changes realms, the Einstein site ID won’t use the correct realm.
Responses
- 200
A successful response contains a UUID for the given user.
Media type:
application/json. Schema:ActivityResponse. - 400
A validation error response contains an array of invalid parameters.
Media type:
application/json. Schema:ValidationError.